/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct AtmPosOverDraft {
    #[serde(rename = "AuthLimitOption", skip_serializing_if = "Option::is_none")]
    pub auth_limit_option: Option<String>,
    #[serde(rename = "OptInOutDt", skip_serializing_if = "Option::is_none")]
    pub opt_in_out_dt: Option<String>,
}

impl AtmPosOverDraft {
    pub fn new() -> AtmPosOverDraft {
        AtmPosOverDraft {
            auth_limit_option: None,
            opt_in_out_dt: None,
        }
    }
}
